How to contribute to Disq
=========================

Thank you in advance for contributing to Disq!

### Git workflow

The Disq project follows the [Git Feature Branch](https://www.atlassian.com/git/tutorials/comparing-workflows/feature-branch-workflow) workflow.

To get started contributing to Disq:

* Fork the Disq git repository to your own Github account
* Create a new feature branch for development
* Push the feature branch to your Github fork, and pull request to the Disq repository


### Search the Github issue tracker and pull requests

Before creating a new issue or pull request, please search the [Disq issue tracker](https://github.com/disq-bio/disq/issues)
and [Disq open pull requests](https://github.com/disq-bio/disq/pulls) on Github.


### Code style and other conventions

* `Disq` is the name of the project, not DISQ or disq
* `disq-bio` is the organization name, and `disq-bio.org` the organization domain name
* Code style should follow the [Google Java Style Guide](https://google.github.io/styleguide/javaguide.html)
* Code style is enforced by [fmt-maven-plugin](https://github.com/coveo/fmt-maven-plugin)


### Rules for voting and decision making

In general the Disq project follows the [Apache Software Foundation Voting Process](https://www.apache.org/foundation/voting.html)
for voting and decision making, excepting the three +1 PMC votes on release requirement (https://www.apache.org/foundation/voting.html#votes-on-code-modification).

Issues and pull requests are triaged to release versions using [Github Milestones](https://github.com/disq-bio/disq/milestones), and releases
can be made by any project owner with public code signing keys in [KEYS](https://github.com/disq-bio/disq/blob/master/KEYS) as necessary.


We appreciate your contribution!
